API DocumentationCart resource
Get a cart by ID
GET
Retrieves a specific shopping cart by its ID. Companion to the paginated cart endpoint for drilling into individual records during analytics workflows.
Phasio API Bearer Tokenheader
AuthorizationBearer <token>cartId*stringID of the cart to retrieve
Format
uuidCart retrieved successfully
application/json- response
cartId*stringFormat
uuidstatus*stringValue in
"OPEN""DELETED""CONVERTED"customerOrganisationId?integerFormat
int64customerOrganisationName?stringcustomerId?integerFormat
int64customerEmail?stringcustomerPhone?stringcartNumber?integerFormat
int64itemCount*integerFormat
int32items*array<>createdAt*stringFormat
date-timeupdateDt*stringFormat
date-timeitemProcessIds?array<>itemMaterialIds?array<>itemLeadTimeIds?array<>itemPostProcessingIds?array<>itemUnits?array<>curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/cart/497f6eca-6276-4993-bfeb-53cbbbba6f08'{ "cartId": "a978ee3d-b7bf-468a-b84b-28f1d6366abc", "status": "OPEN", "customerOrganisationId": 0, "customerOrganisationName": "string", "customerId": 0, "customerEmail": "string", "customerPhone": "string", "cartNumber": 0, "itemCount": 0, "items": [ { "id": 0, "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8", "partName": "string", "quantity": 0, "colorId": 0, "precisionPricesId": 0, "infillId": 0, "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c", "materialPricesId": 0, "leadTimeId": "d4f8e2ce-2958-4e33-9da6-3f42e4f728f1", "units": "CENTIMETERS", "postProcessingIds": [ 0 ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "createdAt": "2019-08-24T14:15:22Z", "updateDt": "2019-08-24T14:15:22Z", "itemProcessIds": [ "6ae8827c-4402-4363-8cf1-de1ffcfe5442" ], "itemMaterialIds": [ 0 ], "itemLeadTimeIds": [ "0cabf6a3-63d7-4429-8376-13679f62a539" ], "itemPostProcessingIds": [ 0 ], "itemUnits": [ "CENTIMETERS" ]}